package common

import "miniapp/global"

type Hospital struct {
	global.GVA_MODEL
	Name  string  `json:"name" form:"name" gorm:"comment:医院名称;"`
	Addr  string  `json:"addr" form:"addr" gorm:"comment:医院地址;"`
	Phone string  `json:"phone" form:"phone" gorm:"comment:医院电话;"`
	Notes []Notes `json:"notes" form:"notes" gorm:"many2many:hospital_notes;comment:注意事项;"`
	Todos []Todos `json:"todos" form:"todos" gorm:"many2many:hospital_todos;comment:任务列表;"`
}

func (h Hospital) TableName() string {
	return "sys_hospital"
}
